Skip to main content
GET
List Portfolio Fills
Prime CLIUse the Prime CLI to test this endpoint by following the quick start guide and running this command:
For more information, please visit the Prime CLI.

Path Parameters

portfolio_id
string
required

The portfolio ID associated with the order

Query Parameters

cursor
string

Cursor used for pagination (last consumed record)

limit
integer<int32>

Number of items to retrieve

start_date
string<date-time>
required

A start date for the fills to be queried from

end_date
string<date-time>

An end date for the fills to be queried until

sort_direction
enum<string>
default:DESC

Sorting order

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

fills
Fills associated with the portfolio · object[]
pagination
object